System Requirements

Lumerical Software supports the following operating systems (64-bit editions only):

  • Windows® 8.1, 10
  • Windows Server® 2012 R2, 2016, 2019
  • Requires macOS® 10.12 (Sierra), 10.13 (High Sierra), 10.14 (Mojave), or 10.15 (Catalina)
  • RedHat® Enterprise Linux® 6, 7  & CentOS® 6, 7

Lumerical software supports the following technologies:

  • Amazon EC2
  • Microsoft Azure
  • HPC network technologies including: Infiniband, Myrinet, Gb and 10Gb Ethernet
  • MPI frameworks: Microsoft MPI, MPICH, OpenMPI, IntelMPI and other
    commercial MPI distributions
  • HPC schedulers: SGE, PBS Pro, OpenPBS, Platform LSF, HTCondor, etc.

Lumerical software has limited support on other operating systems that are known to be compatible with the supported systems listed above such as Fedora and Open SUSE.

Lumerical’s Finite Element IDE (FE IDE) uses a 3D rendering and visualization library that requires a compliant implementation of OpenGL 2 or DirectX 11. For optimal performance, please install the FE IDE directly on a locally accessible host computer with adequate graphics resources and up-to-date graphics drivers. The FE IDE has limited support on systems without compliant graphics drivers, including virtual machines and remote desktop interfaces.

For operating systems or technologies not explicitly listed under supported systems, Lumerical encourage users to evaluate the software tools on the desired environment and to contact us for installation support if necessary.

Get started now with a free 30-day trial.

Evaluate for Free